Master passwords
List Master Passwords
List master passwords under the path account.
GET
/
v1
/
public
/
accounts
/
{account_id}
/
credentials
List Master Passwords
curl --request GET \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"created_at": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_type": "account",
"updated_at": "<string>"
}
],
"page": 123,
"page_size": 123,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Path Parameters
Response
Master passwords on this page
Hide child attributes
Hide child attributes
Master password creation timestamp
Master password UUID
Master password display name
Resource UUID for the master password scope
Resource scope type where the master password applies
Available options:
account, workspace, domain Master password last update timestamp
Current one-based page number
Maximum items per page
Total matching master passwords
Was this page helpful?
⌘I
List Master Passwords
